System.Data 1.0.5000.0 2.0.0.0 System.Data.Common.DBDataPermissionAttribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Constructor | System.AttributeTargets.Method, AllowMultiple=true, Inherited=false)

This class is intended for future use when the .NET Framework Data Provider for ODBC is enabled for partial trust scenarios. The .NET Framework Data Provider for ODBC currently requires FullTrust permission. Currently, using the OdbcPermissionAttribute class has no effect. For more information, see Code Access Security and ADO.NET.

Associates a security action with a custom security attribute.

- Constructor
  To be added.

  Initializes a new instance of the class with one of the values.

  An object.

  One of the values representing an action that can be performed by using declarative security.
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission To be added.

  Returns an object that is configured according to the attribute properties.

  An object.

  1.0.5000.0
  2.0.0.0